You're blocking ads, which pay for BlenderNation. Read about other ways to support us.

Physassist Now Supports Blender 2.82 [$]

1

Moby Motion writes:

My blender plug-in for easily and quickly building large destructible physics structures in blender, now supports Blender 2.82. This is the first release that supports Blender 2.82, and I am excited to release it and get your thoughts!

1 Comment

Leave A Reply

To add a profile picture to your message, register your email address with Gravatar.com. To protect your email address, create an account on BlenderNation and log in when posting a message.